# DataExchange
TKIGES
IGESGraph

# IGESGraph_DrawingSize Class Reference

defines IGESDrawingSize, Type <406> Form <16>
in package IGESGraph

`#include <IGESGraph_DrawingSize.hxx>`

Inheritance diagram for IGESGraph_DrawingSize:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGraph_DrawingSize ()
Standard_EXPORT void | Init (const Standard_Integer nbProps, const Standard_Real aXSize, const Standard_Real aYSize)
| This method is used to set the fields of the class DrawingSize - nbProps : Number of property values (NP = 2) - aXSize : Extent of Drawing along positive XD axis - aYSize : Extent of Drawing along positive YD axis .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me> (NP = 2)
Standard_EXPORT Standard_Real | XSize () const
| returns the extent of Drawing along positive XD axis
Standard_EXPORT Standard_Real | YSize () const
| returns the extent of Drawing along positive YD axis
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Real | theXSize
Standard_Real | theYSize

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_DrawingSize::IGESGraph_DrawingSize | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGraph_DrawingSize::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGraph_DrawingSize::Init | ( | const Standard_Integer | nbProps,
|  | const Standard_Real | aXSize,
|  | const Standard_Real | aYSize
| ) |

Standard_EXPORT Standard_Integer IGESGraph_DrawingSize::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGraph_DrawingSize::XSize | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGraph_DrawingSize::YSize | ( |  | ) | const

## Field Documentation

Standard_Integer IGESGraph_DrawingSize::theNbPropertyValues `[private]`

Standard_Real IGESGraph_DrawingSize::theXSize `[private]`

Standard_Real IGESGraph_DrawingSize::theYSize `[private]`

The documentation for this class was generated from the following file:

- IGESGraph_DrawingSize.hxx